package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag754;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT754Creator;

/**
 * @author gaosheng
 * @date 2023/2/28
 */
public class Tag32aCreator extends AbsTagCreate {

    private MT754Creator mt754Creator;

    public Tag32aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt754Creator= (MT754Creator) absMTCreator;
    }

    public  void creator()
    {
        handlerCurAmtCreator(mt754Creator,"principalAmountPaidAN");
    }
}
